proc tixSetScheme-Color {} {
    global tixOption

    uplevel #0 [list package require cde]

    set tixOption(bg)           $cde::background
    set tixOption(fg)           $cde::foreground

    set bg [winfo rgb . $new(background)]
    set fg [winfo rgb . $new(foreground)]
    set darkerBg [format #%02x%02x%02x [expr (9*[lindex $bg 0])/2560] \
            [expr (9*[lindex $bg 1])/2560] [expr (9*[lindex $bg 2])/2560]]
    set disableFg [format #%02x%02x%02x \
                [expr (3*[lindex $bg 0] + [lindex $fg 0])/1024] \
                [expr (3*[lindex $bg 1] + [lindex $fg 1])/1024] \
                [expr (3*[lindex $bg 2] + [lindex $fg 2])/1024]]
    foreach i {0 1 2} {
        set light($i) [expr [lindex $bg $i]/256]
        set inc1 [expr ($light($i)*15)/100]
        set inc2 [expr (255-$light($i))/3]
        if {$inc1 > $inc2} {
            incr light($i) $inc1
        } else {
            incr light($i) $inc2
        }
        if {$light($i) > 255} {
            set light($i) 255
        }
    }
    set activeBg [format #%02x%02x%02x $light(0) $light(1) $light(2)]

    set tixOption(dark1_bg)     $darkerBg
    set tixOption(dark1_fg)     $cde::foreground
    set tixOption(dark2_bg)     $darkerBg
    set tixOption(dark2_fg)     $cde::foreground
    set tixOption(inactive_bg)  $darkerBg
    set tixOption(inactive_fg)  $cde::foreground

    set tixOption(light1_bg)    $cde::textbackground
    set tixOption(light1_fg)    $cde::textforeground
    set tixOption(light2_bg)    $tixOption(light1_bg)
    set tixOption(light2_fg)    $tixOption(light1_fg)

    set tixOption(active_bg)    $activeBg
    set tixOption(active_fg)    $cde::foreground
    set tixOption(disabled_fg)  $disableFg

    set tixOption(input1_bg)    $cde::textbackground
    set tixOption(input1_fg)	$cde::textforeground
    set tixOption(input2_bg)    $cde::textbackground
    set tixOption(input2_fg)	$cde::textforeground
    set tixOption(output1_bg)   $tixOption(dark1_bg)
    set tixOption(output2_bg)   $tixOption(bg)

    set tixOption(select_fg)    $cde::selectbackground
    set tixOption(select_bg)    $cde::selectforeground

    set tixOption(selector)	$cde::selectcolor
}
